ATA_TF_READ(9)

NAME
ata_tf_read - input device's ATA taskfile shadow registers

SYNOPSIS

void ata_tf_read (struct ata_port * ap, struct ata_taskfile * tf);

ARGUMENTS

ap  Port from which input is read

tf  ATA taskfile register set for storing input

DESCRIPTION

Reads ATA taskfile registers for currently-selected device into tf.

Reads nsect, lbal, lbam, lbah, and device. If ATA_TFLAG_LBA48 is set, also reads the hob registers.

May be used as the tf_read entry in ata_port_operations.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.